Bug 46363 - fix diagnostic test for file permissions for ox cache
fix diagnostic test for file permissions for ox cache
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Daniel Tröder
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-21 13:09 CET by Daniel Tröder
Modified: 2018-05-08 14:57 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2018-02-21 13:09:21 CET
+++ This bug was initially created as a clone of Bug #40227 +++

A customer reported that the diagnostic tool reports wrong file permissions for the OX cache directory: https://help.univention.com/t/system-fehlerdiagnose-var-cache-univention-ox/8022

The directories permissions are however intended to be owned by the "listener" user. → Fix the test.
Comment 1 Daniel Tröder univentionstaff 2018-02-21 14:27:03 CET
[4.2-3 bdd41301e2] Bug #46363: refactor function calls
[4.2-3 b7e5938cd5] Bug #46363: add univention-ox cache directory
[4.2-3 47c893925c] Bug #46363: changelog
[4.2-3 50a7b97977] Bug #46363: advisory

[4.2-3 342798b330] Bug #46363: refactor function calls
[4.2-3 83fb276078] Bug #46363: add univention-ox cache directory
[4.3-0 1ad9abbafa] Bug #46363: changelog

Package: univention-management-console-module-diagnostic
Version: 3.0.1-27A~4.2.0.201802211414
Branch: ucs_4.2-0
Scope: errata4.2-3

Package: univention-management-console-module-diagnostic
Version: 4.0.0-12A~4.3.0.201802211423
Branch: ucs_4.3-0
Scope:
Comment 2 Dirk Wiesenthal univentionstaff 2018-05-03 15:11:58 CEST
Refactor: Cool
Fix: Works
YAML: OK
4.3 Changelog: Missing...
Comment 3 Quality Assurance univentionstaff 2018-05-04 16:58:18 CEST
--- mirror/ftp/4.2/unmaintained/4.2-3/source/univention-management-console-module-diagnostic_3.0.1-26A~4.2.0.201709191550.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/univention-management-console-module-diagnostic_3.0.1-27A~4.2.0.201802211414.dsc
@@ -1,6 +1,10 @@
-3.0.1-26A~4.2.0.201709191550 [Tue, 19 Sep 2017 15:50:45 +0200] Univention builddaemon <buildd@univention.de>:
+3.0.1-27A~4.2.0.201802211414 [Wed, 21 Feb 2018 14:14:31 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+3.0.1-27 [Wed, 21 Feb 2018 14:11:57 +0100] Daniel Troeder <troeder@univention.de>:
+
+  * Bug #46363: add univention-ox cache directory to file permissions test
 
 3.0.1-26 [Tue, 19 Sep 2017 15:48:14 +0200] Lukas Oyen <oyen@univention.de>:
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:57:04 CEST
<http://errata.software-univention.de/ucs/4.2/409.html>